GDB (xrefs)

Public Attributes | List of all members
gdb_block Struct Reference

## Public Attributes
struct gdb_block * | next
struct gdb_block * | parent
struct block * | real_block
CORE_ADDR | begin
CORE_ADDR | end
const char * | name

## Detailed Description

Definition at line 442 of file jit.c.

## Member Data Documentation

## ◆ begin

CORE_ADDR gdb_block::begin

Definition at line 455 of file jit.c.

Referenced by compare_block(), finalize_symtab(), and jit_block_open_impl().

## ◆ end

CORE_ADDR gdb_block::end

Definition at line 455 of file jit.c.

Referenced by compare_block(), finalize_symtab(), and jit_block_open_impl().

## ◆ name

const char* gdb_block::name

Definition at line 459 of file jit.c.

Referenced by finalize_symtab().

## ◆ next

struct gdb_block* gdb_block::next

Definition at line 447 of file jit.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), finalize_symtab(), and jit_block_open_impl().

## ◆ parent

struct gdb_block * gdb_block::parent

Definition at line 447 of file jit.c.

Referenced by finalize_symtab(), and jit_block_open_impl().

## ◆ real_block

struct block* gdb_block::real_block

Definition at line 452 of file jit.c.

Referenced by finalize_symtab().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/jit.c